<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Sushi Maker</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous" />
    <link rel="stylesheet" href="sushi-maker.component.css" />
</head>

<body>
    <header class="fixed-top">
        <a class="card" routerLink="">
            <svg class="bi bi-list" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16">
          <path
            fill-rule="evenodd"
            d="M2.5 12a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5z"
          />
        </svg>
            <span>Change Position</span>
        </a>
        <h2>Sushi Maker</h2>
    </header>

    <div class="sushi-maker-section">
        <div class="orders-col">
            <div *ngFor="let order of my_orders">
                <div class="single-order">
                    <h4 class="text-center"> Order for {{ order.delivery.last_name }}</h4>
                    <mat-list>
                        <mat-list-item class="buttons" *ngFor="let front_item of get_items_by_order(order)">
                            <button *ngIf="is_moved(front_item) == false" mat-button class="item-name" [class.fried]="front_item.fried_roll" (click)="show_details(front_item)"><a *ngIf="front_item.quantity != 1">  {{ front_item.quantity }} x </a>{{front_item.item.name }}</button>
                            <div *ngIf="front_item.station == this.my_station && is_moved(front_item) == false">
                               
                                <button mat-button class="forward-button" (click)="forward(front_item)">Finished</button>                 
                            </div>
                        </mat-list-item>
                    </mat-list>
                </div>
            </div>
        </div>
        <div class="item-description-col">
            <div class="instructions-on-item">
                <h2>Instructions on item</h2>
                <p class="actual-instruction">{{ current_description }}<br/>{{ current_fried_information }}</p>
            </div>
        </div>
    </div>
  </body>
</html>
